Create a task linked to a CRM entry
curl --request POST \
--url https://www.dench.com/api/v1/crm/objects/{objectName}/entries/{entryId}/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Send proposal",
"assigneeUserId": "user_bob",
"dueDateKey": "2026-09-05"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Send proposal', assigneeUserId: 'user_bob', dueDateKey: '2026-09-05'})
};
fetch('https://www.dench.com/api/v1/crm/objects/{objectName}/entries/{entryId}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/objects/{objectName}/entries/{entryId}/tasks"
payload = {
"name": "Send proposal",
"assigneeUserId": "user_bob",
"dueDateKey": "2026-09-05"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}crm
Create a task linked to a CRM entry
Create a task linked to a CRM entry.
POST
/
crm
/
objects
/
{objectName}
/
entries
/
{entryId}
/
tasks
Create a task linked to a CRM entry
curl --request POST \
--url https://www.dench.com/api/v1/crm/objects/{objectName}/entries/{entryId}/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Send proposal",
"assigneeUserId": "user_bob",
"dueDateKey": "2026-09-05"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Send proposal', assigneeUserId: 'user_bob', dueDateKey: '2026-09-05'})
};
fetch('https://www.dench.com/api/v1/crm/objects/{objectName}/entries/{entryId}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/objects/{objectName}/entries/{entryId}/tasks"
payload = {
"name": "Send proposal",
"assigneeUserId": "user_bob",
"dueDateKey": "2026-09-05"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.
Body
application/json
Response
Successful response